ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Data.Graph.Ppr

Description

Pretty printing of graphs.

Synopsis

- dumpGraph :: (Outputable k, Outputable color) => Graph k cls color -> SDoc
- dotGraph :: (Uniquable k, Outputable k, Outputable cls, Outputable color) => (color -> SDoc) -> Triv k cls color -> Graph k cls color -> SDoc

# Documentation

dumpGraph :: (Outputable k, Outputable color) => Graph k cls color -> SDoc Source #

Pretty print a graph in a somewhat human readable format.

dotGraph Source #

Arguments

:: (Uniquable k, Outputable k, Outputable cls, Outputable color) |
=> (color -> SDoc) | What graphviz color to use for each node color It's usually safe to return X11 style colors here, ie "red", "green" etc or a hex triplet #aaff55 etc
-> Triv k cls color |
-> Graph k cls color |
-> SDoc |

Pretty print a graph in graphviz .dot format. Conflicts get solid edges. Coalescences get dashed edges.